@import "../../../../scss/variables";
@import "../../../../../node_modules/bulma/sass/utilities/_all";

.main-container {
  background-color: $grey-background-color;
  width: 100%;
  height: 100%;
  padding: 3rem 1rem;

  .section-title {
    font-size: 0.875rem;
    color: $grey-dark-color;
    text-transform: uppercase;
    margin-bottom: 1rem;
  }

  .reuses-container,
  .posts-container {
    display: flex;
    flex-wrap: wrap;
    margin-left: -1rem;
    margin-bottom: 1.5rem;
  }

  .item,
  .post-item {
    display: inline-block;
    margin: 0 0 1rem 1rem;
    width: 100%;
    max-width: 100%;
    height: 270px;
    position: relative;
    //overflow: hidden;

    @media screen and (min-width: 420px) {
      // max-width: 705px;
      width: 100%;
      height: 260px;
    }

    @media screen and (min-width: 650px) {
      // max-width: 705px;
      width: calc((100% - 2rem) / 2);
      height: 260px;
    }

    @media screen and (min-width: $tablet) {
      // max-width: 705px;
      width: calc((705px - 1rem) / 2);
      height: 260px;
      flex-shrink: 0;
    }

    @media screen and (min-width: $desktop) {
      // max-width: 960px;
      width: calc((960px - (2 * 1rem)) / 3);
      height: 260px;
    }

    @media screen and (min-width: $widescreen) {
      // max-width: 1152px;
      width: calc((1152px - (3 * 1rem)) / 4);
      height: 260px;
    }

    @media screen and (min-width: $fullhd) {
      // max-width: 1344px;
      width: calc((1344px - (3 * 1rem)) / 4);
      height: 260px;
    }

    p {
      text-align: left;
      word-break: break-word;
    }

    .reuse {
      background-color: white;
      transition: box-shadow 0.3s;
      padding: 1.2rem 1.2rem;
      height: 100%;
      position: relative;
      border-radius: 8px;
      overflow: hidden;

      p {
        color: $grey-dark-color;
      }

      &:hover {
        box-shadow: inset 0 0 3px 0 grey;

        a {
          text-decoration: none;
        }
      }
    }


  }

  .item::before {
    content: '';
    width: inherit;
    height: inherit;
    position: absolute;
    top: 0;
    left: 0;
    box-shadow: 0 6px 12px 0 rgba(129, 128, 128, 0.1);
  }

  .add-reuse {
    text-transform: initial;
    background-color: $blue-color;
    height: 100%;
    position: relative;
    border-radius: 8px;
    transition: all 300ms ease;
    box-shadow: 0px 6px 12px rgba(49, 110, 180, 0.35);

    a {
      height: 100%;
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      transition: all 300ms ease;

      .text {
        color: white;
        font-size: 1.2rem;
        text-align: center;
        transition: all 300ms ease;

      }

      .plus {
        display: block;
        text-align: center;
        color: white;
        font-size: 4rem;
        margin-bottom: 2rem;
      }

      &:hover {
        text-decoration: none;


        .text {
          text-decoration: none;

        }

      }
    }
    &:hover{
      background-color: #355698;
    }

  }

  .title {
    display: block;
    font-size: 1rem;
    font-weight: bold;
    margin-top: 1rem;
    margin-bottom: 0.25rem;
  }

  .bottom-section {
    position: absolute;
    bottom: 1rem;
    display: flex;
    flex-direction: column;

    span {
      color: $grey-dark-color;
      font-style: italic;
    }
  }

  .logo-content {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid $grey-super-light-color;
    padding-bottom: 1.2rem;

    img {
      max-height: 70px;
      // width: unset;
      // max-width: 80%;
    }
  }

  .posts-container {
    z-index: 3;

    .post-item {
      box-shadow: 0 6px 12px 0 rgba(129, 128, 128, 0.1);
      color: $brand-color;

      a {
        display: flex;
        flex-direction: column;
        height: 100%;

        &:hover {
          text-decoration: none;
        }
      }

      .post-image {
        min-height: 7.5rem;
        width: 100%;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        border-radius: 8px 8px 0 0;
        filter: none;
        transition: filter 0.5s ease-in-out;
      }

      .post-description {
        flex-grow: 1;
        background-color: #ffff;
        border-radius: 0 0 8px 8px;
        padding: 1rem;

        .post-description-date {
          margin-bottom: 0.5rem;
          font-size: 0.75rem;
          text-transform: uppercase;
          color: $grey-dark-color;
          line-height: 1;
        }

        .post-description-title {
          font-size: 1.125rem;
          font-weight: bold;
        }
      }

      a:hover .post-description-title {
        text-decoration: underline;
      }

      &:hover {
        .post-image {
          filter: grayscale(100%);
        }
      }
    }
  }
}
